about summary refs log tree commit diff
path: root/test/pnmcolormap.test
diff options
context:
space:
mode:
authorgiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2023-03-01 18:31:30 +0000
committergiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2023-03-01 18:31:30 +0000
commit2e2fed8ed6fce2036a3875be6cd54ebaffe0aa03 (patch)
treed55cff43bec8d8e9af977fd0c531834fdc778edb /test/pnmcolormap.test
parentfa07134d248fcdbc208dacf41897c190ac6b802a (diff)
downloadnetpbm-mirror-2e2fed8ed6fce2036a3875be6cd54ebaffe0aa03.tar.gz
netpbm-mirror-2e2fed8ed6fce2036a3875be6cd54ebaffe0aa03.tar.xz
netpbm-mirror-2e2fed8ed6fce2036a3875be6cd54ebaffe0aa03.zip
new tests for 'pnmcolormap'
git-svn-id: http://svn.code.sf.net/p/netpbm/code/trunk@4507 9d0c8265-081b-0410-96cb-a4ca84ce46f8
Diffstat (limited to 'test/pnmcolormap.test')
-rwxr-xr-xtest/pnmcolormap.test31
1 files changed, 30 insertions, 1 deletions
diff --git a/test/pnmcolormap.test b/test/pnmcolormap.test
index 1a7ec266..11d47385 100755
--- a/test/pnmcolormap.test
+++ b/test/pnmcolormap.test
@@ -1,10 +1,39 @@
 #! /bin/sh
 # This script tests: pnmcolormap
-# Also requires:
+# Also requires: ppmpat
+
+echo "Test 1."
 
 pnmcolormap -plain -sort 2 maze.pbm
+echo
 pnmcolormap -plain -sort -square 2 maze.pbm
+echo
 pnmcolormap -plain -sort all maze.pbm
+echo
+tmpdir=${tmpdir:-/tmp}
+tartan_ppm=${tmpdir}/tartan.ppm
+
+echo "Test 2."
+
+ppmpat -tartan -color="rgb:00/00/ff,rgb:00/80/ff,rgb:80/00/80" 20 20 |\
+    tee ${tartan_ppm} | pnmcolormap -plain -sort all
+echo
+pnmcolormap -plain -sort -square all ${tartan_ppm}
+rm ${tartan_ppm}
+echo
+echo "Test 3."
+# Explicitly specify default options.  Output should not vary.
+
+map=${tmpdir}/map.ppm
+
+pnmcolormap 64 testimg.ppm > ${map} && echo ok || echo bad
+test -s ${map} && echo ok || echo bad
+pnmcolormap -center 64 testimg.ppm | cmp -s ${map} - && echo ok || echo bad
+pnmcolormap -spreadbrightness 64 testimg.ppm | cmp -s ${map} - && echo ok || echo bad
+pnmcolormap -splitpixelct 64 testimg.ppm | cmp -s ${map} - && echo ok || echo bad
+rm ${map}
+echo
+echo "Test Invalid."
 
 echo 1>&2
 echo "Invalid command-line arguments." 1>&2